Subject: Re: `ldd' functionality
From: [email-masked] (Mumit Khan)

9 Dec 1998 07:54:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Mumit Khan <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Gary V. Vaughan" <[email-masked]>
Cc: [email-masked]

On Tue, 8 Dec 1998, Gary V. Vaughan wrote:

> I am in the process of patching libtool to play nicely on win32, and
> it turns out that as part of the port I need to do the equivalent to ldd
> on linux/solaris.
> 
> Attached is a script which seems to give the right results -- is this
> the correct approach?  Or is there a cleaner (or less kludgy) way to do
> it?

It's a start, but unfortunately not quite enough. It fails to recurse 
into the depdendencies.

I suggest you look into cygcheck and wrap that instead. If that doesn't
work for you, I might be able to dig out some old code that emulates ldd 
reasonably well (The reason I didn't pursue it is because I had trouble 
back then building it with GCC due to win32api header limitations, but 
I believe that's been resolved since).

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".